﻿<?xml version="1.0" encoding="utf-8"?>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd">
    <head><title>Exporting Elasticsearch-based Analytics Controls</title>
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1>Exporting Elasticsearch-based Analytics Controls</h1>
        <p>You can export the Elasticsearch-based (ES) analytics configurations of all analytics or selected specific ES based analytics using the <strong>Analytics Configuration List (Elastic)&#160;</strong>in the following formats:</p>
        <ul>
            <li>CSV</li>
            <li>EXCEL</li>
            <li>JSON</li>
        </ul>
        <p>If you want to update the ES based analytical control in JSON and reapply it, you can export the existing analytical control which you want to update, perform the necessary changes in JSON and upload the updated JSON again. For more information, see&#160;<MadCap:xref href="Uploading-Analytic-Controls.htm">Uploading Analytic Controls</MadCap:xref>.</p>
        <p>To export all analytics configurations, perform the following steps:</p>
        <ol>
            <li>
                <p>Go to&#160;<strong>Analytics &gt;&#160;Analytics Configuration List</strong></p>
            </li>
            <li>
                <p>Select&#160;the Version 2&#160;tab.</p>
            </li>
            <li>
                <p>Click the Actions arrow and select required format in the&#160;Export.</p>
            </li>
        </ol>
        <p>The Save As dialog window appears where you can enter the file name and save the exported file into your desired local folder, as required.</p>
        <p>The exported file consists of all the analytics configurations available in the&#160;Analytics Configuration List.</p>
        <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
            <ul>
                <li>
                    <p class="note">When you run an Analytics Version 2 control and export the report in Microsoft Excel format, then all columns are displayed in uppercase in the exported report.</p>
                </li>
                <li>
                    <p class="note">If a user list, account list, or analytics control report has more than 50,000 reports, then from the corresponding&#160;Export option available in the Analytics module page, the zip file can be downloaded as a single file. A configuration parameter is available in the externalconfig.properties file (path: <i class="filename-path">Local drive:\saviynt\Conf\</i>) where you can specify the number of records that should be added in the single file.</p>
                </li>
            </ul>
        </div>
        <div class="confluence-information-macro-body">
            <p>Configuration parameter in <strong>externalconfig.properties</strong> file:</p><span class="attr">noOfRecordsinOneSheet=&#160;&lt;total-no-of-records&gt;&#160; </span>
            <p>where&#160;&#160;<strong>total-no-of-records</strong> is the&#160;total number of records to be written in one file.</p>
            <p>For example, suppose you want to export 30,000 reports, enter the following:</p><span class="attr">noOfRecordsinOneSheet= 30000</span>
        </div>
    </body>
</html>